# Get a list of rental discount plan assignments Endpoint: GET /rental-discount-plan-assignments Version: 1.16 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `fields` (string) Comma-delimited list of the field(s) to return if only a subset is required Example: "id,name" - `assignmentLevel` (string) Filter by assignment level - CUSTOMER, SITE or INVENTORY Example: "xyz | in:x,y | like:xyz" - `customerId` (string) Filter by customer Example: "0" - `siteId` (string) Filter by site Example: "0" - `rentalProductInventoryId` (string) Filter by rental product inventory Example: "0" - `rentalDiscountPlanId` (string) Filter by rental discount plan Example: "0" - `startDate` (string) Filter by start date Example: "yyyy-MM-dd | lt:yyyy-MM-dd | gt:yyyy-MM-dd | gtn:yyyy-MM-dd" - `endDate` (string) Filter by end date Example: "yyyy-MM-dd | lt:yyyy-MM-dd | gt:yyyy-MM-dd | gtn:yyyy-MM-dd" ## Response 200 fields (application/json): - `id` (integer) Rental discount plan assignment identifier Example: 1 - `assignmentLevel` (string, required) Rental discount plans can be assigned at customer, site or product inventory levels - use the appropriate level to determine which fields are required. Note that inventory level assignments are only allowed if a site or customer level assignment already exists. Example: "CUSTOMER, SITE or INVENTORY" - `rentalDiscountPlanId` (integer, required) Rental discount plan identifier Example: 1 - `startDate` (string, required) Start date - `endDate` (string) End date ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 412 fields ## Response 500 fields ## Response 501 fields